---
references:
- id: AkbayrakExtended2021
  accessed:
    - year: 2024
      month: 2
      day: 23
  author:
    - family: Akbayrak
      given: Semih
    - family: Bocharov
      given: Ivan
    - family: Vries
      given: Bert
      non-dropping-particle: de
  citation-key: AkbayrakExtended2021
  container-title: Entropy
  DOI: 10.3390/e23070815
  ISSN: 1099-4300
  issue: '7'
  issued:
    - year: 2021
      month: 7
  language: en
  number: '7'
  page: '815'
  publisher: Multidisciplinary Digital Publishing Institute
  title: >-
    Extended Variational Message Passing for Automated Approximate Bayesian
    Inference
  type: article-journal
  volume: '23'

- id: BoydJulia2021
  accessed:
    - year: 2022
      month: 3
      day: 1
  author:
    - family: Boyd
      given: Stephen
    - family: Vandenberghe
      given: Lieven
  citation-key: BoydJulia2021
  DOI: 10.1017/9781108583664
  edition: '1'
  issued:
    - year: 2021
      month: 3
      day: 28
  language: en
  publisher: Cambridge University Press
  title: >-
    Julia Companion to Introduction to Applied Linear Algebra: Vectors,
    Matrices, and Least Squares
  type: book

- id: CoxFactor2019
  accessed:
    - year: 2019
      month: 12
      day: 10
  author:
    - family: Cox
      given: Marco
    - family: Laar
      given: Thijs
      non-dropping-particle: van de
    - family: Vries
      given: Bert
      non-dropping-particle: de
  citation-key: CoxFactor2019
  container-title: International Journal of Approximate Reasoning
  container-title-short: International Journal of Approximate Reasoning
  DOI: 10.1016/j.ijar.2018.11.002
  ISSN: 0888613X
  issued:
    - year: 2019
      month: 1
  page: 185-204
  title: >-
    A Factor Graph Approach to Automated Design of Bayesian Signal Processing
    Algorithms
  type: article-journal
  URL: http://arxiv.org/abs/1811.03407
  volume: '104'

- id: CusumanoTownerDesign2018
  accessed:
    - year: 2019
      month: 11
      day: 9
  author:
    - family: Cusumano-Towner
      given: Marco
    - family: Mansinghka
      given: Vikash K.
  citation-key: CusumanoTownerDesign2018
  collection-title: MAPL 2018
  container-title: >-
    Proceedings of the 2Nd ACM SIGPLAN International Workshop on Machine
    Learning and Programming Languages
  DOI: 10.1145/3211346.3211350
  event-place: Philadelphia, PA, USA
  ISBN: 978-1-4503-5834-7
  issued:
    - year: 2018
  page: 52–57
  publisher: ACM
  publisher-place: New York, NY, USA
  title: >-
    A Design Proposal for Gen: Probabilistic Programming with Fast Custom
    Inference via Code Generation
  type: paper-conference
  URL: http://doi.acm.org/10.1145/3211346.3211350

- id: FischerAutomatic2018
  accessed:
    - year: 2018
      month: 11
      day: 6
  author:
    - family: Fischer
      given: Keno
    - family: Saba
      given: Elliot
  citation-key: FischerAutomatic2018
  container-title: arXiv:1810.09868 [cs, stat]
  issued:
    - year: 2018
      month: 10
      day: 23
  title: Automatic Full Compilation of Julia Programs and ML Models to Cloud TPUs
  type: article-journal
  URL: http://arxiv.org/abs/1810.09868

- id: InnesDon2018
  accessed:
    - year: 2018
      month: 11
      day: 6
  author:
    - family: Innes
      given: Michael
  citation-key: InnesDon2018
  container-title: arXiv:1810.07951 [cs]
  issued:
    - year: 2018
      month: 10
      day: 18
  title: 'Don''t Unroll Adjoint: Differentiating SSA-Form Programs'
  type: article-journal
  URL: http://arxiv.org/abs/1810.07951

- id: LauDesign2020
  accessed:
    - year: 2020
      month: 8
      day: 20
  author:
    - family: Lau
      given: Sam
    - family: Drosos
      given: Ian
    - family: Markel
      given: Julia M.
    - family: Guo
      given: Philip J.
  citation-key: LauDesign2020
  container-title: 2020 IEEE Symposium on Visual Languages and Human-Centric Computing (VL/HCC)
  DOI: 10.1109/VL/HCC50065.2020.9127201
  event-place: Dunedin, New Zealand
  event-title: 2020 IEEE Symposium on Visual Languages and Human-Centric Computing (VL/HCC)
  ISBN: 978-1-72816-901-9
  issued:
    - year: 2020
      month: 8
  language: en
  page: 1-11
  publisher: IEEE
  publisher-place: Dunedin, New Zealand
  title: >-
    The Design Space of Computational Notebooks: An Analysis of 60 Systems in
    Academia and Industry
  type: paper-conference

- id: McNicholasData2019
  archive: Calibre
  author:
    - family: McNicholas
      given: Paul D
    - family: Tait
      given: Peter
  citation-key: McNicholasData2019
  ISBN: 978-1-138-49998-0
  issued:
    - year: 2019
      month: 1
      day: 11
  language: eng
  publisher: CRC Press
  title: Data Science With Julia
  type: book

- id: NazarathyStatistics2021
  author:
    - family: Nazarathy
      given: Yoni
    - family: Klok
      given: Hayden
  citation-key: NazarathyStatistics2021
  collection-title: Springer Series in the Data Science
  DOI: 10.1007/978-3-030-70901-3
  event-place: Cham Springer
  ISBN: 978-3-030-70901-3 978-3-030-70900-6
  issued:
    - year: 2021
  language: eng
  number-of-pages: '527'
  publisher: Springer International Publishing
  publisher-place: Cham Springer
  title: >-
    Statistics with Julia: fundamentals for data science, machine learning and
    artificial intelligence
  type: book
  URL: >-
    https://web.archive.org/web/20210423032637/https://statisticswithjulia.org/StatisticsWithJuliaDRAFT.pdf

- id: PawarCFD2019
  accessed:
    - year: 2021
      month: 6
      day: 29
  author:
    - family: Pawar
      given: Suraj
    - family: San
      given: Omer
  citation-key: PawarCFD2019
  container-title: Fluids
  DOI: 10.3390/fluids4030159
  issue: '3'
  issued:
    - year: 2019
      month: 9
  language: en
  number: '3'
  page: '159'
  publisher: Multidisciplinary Digital Publishing Institute
  title: >-
    CFD Julia: A Learning Module Structuring an Introductory Course on
    Computational Fluid Dynamics
  type: article-journal
  volume: '4'

- id: RackauckasEssential2019
  accessed:
    - year: 2019
      month: 8
      day: 27
  author:
    - family: Rackauckas
      given: Christopher
  citation-key: RackauckasEssential2019
  DOI: 10.15200/winn.156631.13064
  issued:
    - year: 2019
      month: 8
      day: 20
  language: en
  title: The Essential Tools of Scientific Machine Learning (Scientific ML)
  type: article
  URL: https://authorea.com/doi/full/10.15200/winn.156631.13064

- id: RackauckasNeural2019
  accessed:
    - year: 2019
      month: 6
      day: 9
  author:
    - family: Rackauckas
      given: Christopher
  citation-key: RackauckasNeural2019
  container-title: The Winnower
  DOI: 10.15200/winn.155975.53637
  issued:
    - year: 2019
      month: 6
      day: 5
  title: Neural Jump SDEs (Jump Diffusions) and Neural PDEs
  type: article-journal
  URL: >-
    https://thewinnower.com/papers/22829-neural-jump-sdes-jump-diffusions-and-neural-pdes

- id: ReidAdvanced2015
  archive: Calibre
  author:
    - family: Reid
      given: Homer
  citation-key: ReidAdvanced2015
  issued:
    - year: 2015
      month: 1
      day: 20
  title: Advanced Analytic 18.305 Methods in Science and Engineering
  type: book

- id: RevelsForwardMode2016
  accessed:
    - year: 2019
      month: 2
      day: 5
  author:
    - family: Revels
      given: Jarrett
    - family: Lubin
      given: Miles
    - family: Papamarkou
      given: Theodore
  citation-key: RevelsForwardMode2016
  container-title: arXiv:1607.07892 [cs]
  issued:
    - year: 2016
      month: 7
      day: 26
  title: Forward-Mode Automatic Differentiation in Julia
  type: article-journal
  URL: http://arxiv.org/abs/1607.07892

- id: vandeLaarForneyLab2018
  author:
    - family: Laar
      given: Thijs
      non-dropping-particle: van de
    - family: Cox
      given: Marco
    - family: Senoz
      given: Ismail
    - family: Bocharov
      given: Ivan
    - family: Vries
      given: Bert
      non-dropping-particle: de
  citation-key: vandeLaarForneyLab2018
  container-title: Conference on Complex Systems
  issued:
    - year: 2018
  language: en
  page: '3'
  title: >-
    ForneyLab: A Toolbox for Biologically Plausible Free Energy Minimization in
    Dynamic Neural Models
  type: paper-conference
  URL: http://ccs2018.web.auth.gr/

- id: XuADCME2020
  accessed:
    - year: 2020
      month: 12
      day: 13
  author:
    - family: Xu
      given: Kailai
    - family: Darve
      given: Eric
  citation-key: XuADCME2020
  container-title: arXiv:2011.11955 [cs, math]
  issued:
    - year: 2020
      month: 11
      day: 24
  title: 'ADCME: Learning Spatially-varying Physical Fields using Deep Neural Networks'
  type: paper-conference
  URL: http://arxiv.org/abs/2011.11955

- id: XuAdvancedHMC2019
  accessed:
    - year: 2020
      month: 1
      day: 27
  author:
    - family: Xu
      given: Kai
    - family: Ge
      given: Hong
    - family: Tebbutt
      given: Will
    - family: Tarek
      given: Mohamed
    - family: Trapp
      given: Martin
    - family: Ghahramani
      given: Zoubin
  citation-key: XuAdvancedHMC2019
  issued:
    - year: 2019
      month: 10
      day: 16
  title: >-
    AdvancedHMC.jl: A robust, modular and efficient implementation of advanced
    HMC algorithms
  type: article-journal
  URL: https://openreview.net/forum?id=rJgzckn4tH
...
